use "C:\Users\Wollela\Desktop\wollela data perception study\data new nov 26.dta", clear
gen businessize=0 if (q4==1 | q4==2) 
replace businessize=1 if (q4>2 & q4<20)
gen agegroup=1 if (q22>2 & q22<30)
replace agegroup=0 if (q22==1 | q22==2)
gen gender =1 if (q21 == 1)
replace gender = 0 if (q21==2)
gen education =1 if (q23 ==1)
 replace education =0 if (q23 ==2| q23 ==3| q23==4| q23==5| q23==6)
 gen dumsectormanu = 1 if (q1==1 | q1 ==2)
 replace dumsectormanu =0 if (q1 ==3| q1 ==4| q1==5 |q1==6)
  gen dumsectortrade = 1 if (q1==4)
  replace  dumsectortrade = 0 if (q1 ==1| q1==2|q1==3|q1==5|q1==6)
  gen dumsectorprofessional = 1 if (q1 ==5)
  replace  dumsectorprofessional =0 if (q1==1|q1==2|q1==3|q1==4|q1==6)

gen taxrate = (q1311 +q192)/2
 gen governmentservices = (q125 + q127)/2
 gen taxadmindescrim = (q163 + q164 + q1913)/3
 replace q89 =.  if (q89 == 6)
 replace q810 = . if (q810==6)
 gen corruptionperc = (q89 + q810)/2
 replace q83 = . if (q83==6)
 gen taxadminsatisfaction = (q83 +q84 + q85 +q86 +q87 +q88 +q93)/7
 gen otherscompliance = (q1611 + q1714 +q169)/3
 gen probitq177 =1 if (q177==1 |q177==2)
 replace probitq177=0 if (q177 ==3| q177==4| q177==5)
gen probitq15new = 1 if (q15 ==5)
 replace probitq15new =0 if (q15==1| q15==2|q15==3|q15==4)
probit probitq177 taxrate q910 q139 q162 governmentservices taxadmindescrim corruptionperc taxadminsatisfaction otherscompliance businessize agegroup gender education dumsectormanu dumsectortrade dumsectorprofessional, vce(robust)
replace q15 = . if (q15 ==6)
probit probitq15new taxrate q910 q139 q162 governmentservices taxadmindescrim corruptionperc taxadminsatisfaction otherscompliance businessize agegroup gender education dumsectormanu dumsectortrade dumsectorprofessional, vce(robust)
oprobit q15 taxrate q910 q139 q162 governmentservices taxadmindescrim corruptionperc taxadminsatisfaction otherscompliance businessize agegroup gender education dumsectormanu dumsectortrade dumsectorprofessional, vce(robust)
margins, dydx (*) predict (outcome (1))
margins, dydx (*) predict (outcome (2))
margins, dydx (*) predict (outcome (3))
margins, dydx (*) predict (outcome (4))
margins, dydx (*) predict (outcome (5))
